Skip to main content
POST
/
core
/
conversations
/
{conversation_id}
/
end
End a conversation
curl --request POST \
  --url https://api.anyreach.ai/core/conversations/{conversation_id}/end \
  --header 'Authorization: Bearer <token>'
{
  "conversation_id": "<string>",
  "duration": 123,
  "summary": "<string>"
}

Authorizations

Authorization
string
header
required

Personal access token. See Authentication.

Path Parameters

conversation_id
string
required

The text conversation to end.

Response

The conversation was ended (or was already completed).

conversation_id
string

The conversation that was ended.

status
enum<string>

The conversation status after ending — always completed.

Available options:
token_created,
triggered,
ringing,
in_progress,
completed,
failed,
cancelled,
transferred,
unanswered
duration
integer | null

The conversation's wall-clock duration in seconds.

summary
string | null

A short summary of the conversation, when one was generated.